#
# spec file for package gsignond-plugin-oauth
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gsignond-plugin-oauth
Version:        1.0.1
Release:        2.3
Summary:        OAuth plugin for gSSO
License:        LGPL-2.1+
Group:          Productivity/Networking/Other
Url:            https://01.org/gsso
Source:         gsignond-plugin-oa-%{version}.tar.gz
# PATCH-FIX-OPENSUSE gsignond-plugin-oauth-1.0.1_build.patch avvissu@yandex.by -- Causes unnecessary build failures.
Patch0:         gsignond-plugin-oauth-1.0.1_build.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gtk-doc
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(gsignond)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(sqlite3)

%description
OAuth plugin for GLib based Single Sign-On.

%prep
%setup -q -n gsignond-plugin-oa-%{version}
%patch0 -p1
sed -i '/configure/d' autogen.sh

%build
./autogen.sh
%configure
make %{?_smp_mflags}

%install
%make_install

find %{buildroot} -type f -name "*.la" -delete -print

%files
%defattr(-,root,root)
%doc COPYING*
%dir %{_libdir}/gsignond/
%dir %{_libdir}/gsignond/gplugins/
%{_libdir}/gsignond/gplugins/liboauth.so

%changelog
* Mon Sep 19 2016 sor.alexei@meowr.ru
- Avoid using _service.
- Change version to released 1.0.1.
* Thu Aug  4 2016 avvissu@yandex.by
- Initial package
